Subject: Re: sshd broken by seemingly trivial network change
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 17 Dec 2020 14:09:57 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2020-12-17 13:51, Charles Russell wrote:
> On 12/17/2020 11:49 AM, Bill Stewart wrote:
>> Make sure to look carefully through all of the firewall rules and
>> check whether there is a rule blocking that executable or port.

> Selecting "Advanced Settings" and then "incoming rules", I see one rule for sshd 
> private: enabled, allowed and one rule for sshd public: enabled, allowed. There 
> is a third rule for sshd domain: (disabled, allowed). I believe that one is 
> irrelevant but I enabled it anyway, which did not help.
> 
> Is there someplace else I should look? This is Windows 7 Home Premium.

Have you checked your new router to see what default rules are enabled there?

Some routers may come with blocks for common attack vectors, against the router 
itself or the local network, that may need to be disabled if you want to allow 
connections from other systems.

The router may have been setup or used by the selling org, or a customer, and 
returned and resold.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple